Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter
  Definition Classes
    nsc
-  trait MemberHandlers extends AnyRef
  Definition Classes
    interpreter
- AssignHandler
- ClassHandler
- DefHandler
- GenericHandler
- ImportHandler
- MacroHandler
- MemberDefHandler
- MemberHandler
- ModuleHandler
- TermMacroHandler
- TypeAliasHandler
- ValHandler

c

scala.tools.nsc.interpreter.MemberHandlers

# DefHandler

###

#### class DefHandler extends MemberDefHandler

Source
  MemberHandlers.scala

Linear Supertypes
MemberDefHandler, MemberHandler, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DefHandler
2. MemberDefHandler
3. MemberHandler
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new DefHandler(member: Global.DefDef)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from DefHandler toany2stringadd[DefHandler] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (DefHandler, B)
   Implicit
     This member is added by an implicit conversion from DefHandler toArrowAssoc[DefHandler] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def definedNames: collection.immutable.List[Global.Name { ... /* 5 definitions in type refinement */ }]
   Definition Classes
     MemberHandler
9.  def definedSymbols: collection.immutable.List[Global.Symbol]
   Definition Classes
     MemberDefHandler → MemberHandler
10.  def definesImplicit: Boolean
    Definition Classes
      MemberDefHandler → MemberHandler
11.  def definesTerm: Option[Global.TermName]
    Definition Classes
      MemberDefHandler → MemberHandler
12.  def definesType: Option[Global.TypeName]
    Definition Classes
      MemberDefHandler → MemberHandler
13.  def definesValue: Boolean
    Definition Classes
      DefHandler → MemberHandler
14.  def definesValueClass: Boolean
    Definition Classes
      MemberHandler
15.  def ensuring(cond: (DefHandler) => Boolean, msg: => Any): DefHandler
    Implicit
      This member is added by an implicit conversion from DefHandler toEnsuring[DefHandler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: (DefHandler) => Boolean): DefHandler
    Implicit
      This member is added by an implicit conversion from DefHandler toEnsuring[DefHandler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: Boolean, msg: => Any): DefHandler
    Implicit
      This member is added by an implicit conversion from DefHandler toEnsuring[DefHandler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  def ensuring(cond: Boolean): DefHandler
    Implicit
      This member is added by an implicit conversion from DefHandler toEnsuring[DefHandler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
19.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
21.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
22.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from DefHandler toStringFormat[DefHandler] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
23.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
24.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
25.  def importedNames: collection.immutable.List[Global.Name]
    Definition Classes
      MemberHandler
26.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
27.  def keyword: String
    Definition Classes
      MemberDefHandler
28.  val member: Global.MemberDef
    Definition Classes
      MemberDefHandler → MemberHandler
29.  def mods: Global.Modifiers
    Definition Classes
      MemberDefHandler
30.  def name: Global.Name
    Definition Classes
      MemberDefHandler → MemberHandler
31.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
32.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
33.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
34.  def path: String
    Definition Classes
      MemberHandler
35.  def prettyName: String
    Definition Classes
      MemberDefHandler
36.  def referencedNames: collection.immutable.List[Global.Name]
    Definition Classes
      MemberHandler
37.  def resultExtractionCode(req: Request): String
    Definition Classes
      DefHandler → MemberHandler
38.  def symbol: Global.Symbol
    Definition Classes
      MemberHandler
39.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
40.  def toString(): String
    Definition Classes
      MemberHandler → AnyRef → Any
41.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
42.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
43.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (DefHandler, B)
   Implicit
     This member is added by an implicit conversion from DefHandler toArrowAssoc[DefHandler] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from MemberDefHandler

### Inherited from MemberHandler

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromDefHandler to any2stringadd[DefHandler]

### Inherited by implicit conversion StringFormat fromDefHandler to StringFormat[DefHandler]

### Inherited by implicit conversion Ensuring fromDefHandler to Ensuring[DefHandler]

### Inherited by implicit conversion ArrowAssoc fromDefHandler to ArrowAssoc[DefHandler]

### Ungrouped